Provides functionality common to all JavaScript objects.

### Hierarchy

- Object

## Index

### Properties

- constructor

### Methods

- hasOwnProperty
- isPrototypeOf
- propertyIsEnumerable
- toLocaleString
- toString
- valueOf

## Properties

### constructor

constructor: Function

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:122

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

## Methods

### hasOwnProperty

- hasOwnProperty(v: PropertyKey): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:137

  Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

### isPrototypeOf

- isPrototypeOf(v: Object): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:143

  Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

### propertyIsEnumerable

- propertyIsEnumerable(v: PropertyKey): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:149

  Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: PropertyKey

    A property name.

  #### Returns boolean

### toLocaleString

- toLocaleString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:128

  Returns a date converted to a string using the current locale.

  #### Returns string

### toString

- toString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:125

  Returns a string representation of an object.

  #### Returns string

### valueOf

- valueOf(): Object

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:131

  Returns the primitive value of the specified object.

  #### Returns Object

Generated using TypeDoc